# boost::numeric::ublas::basic_lower< Z > Struct Template Reference

Inherited by boost::numeric::ublas::basic_unit_lower< Z >.

List of all members.

## Public Types

typedef Z | size_type
typedef lower_tag | triangular_type

## Static Public Member Functions

template<class L >
static BOOST_UBLAS_INLINE size_type | packed_size (L, size_type size_i, size_type size_j)
static BOOST_UBLAS_INLINE bool | zero (size_type i, size_type j)
static BOOST_UBLAS_INLINE bool | one (size_type, size_type)
static BOOST_UBLAS_INLINE bool | other (size_type i, size_type j)
template<class L >
static BOOST_UBLAS_INLINE size_type | element (L, size_type i, size_type size_i, size_type j, size_type size_j)
static BOOST_UBLAS_INLINE size_type | restrict1 (size_type i, size_type j, size_type size1, size_type size2)
static BOOST_UBLAS_INLINE size_type | restrict2 (size_type i, size_type j, size_type, size_type)
static BOOST_UBLAS_INLINE size_type | mutable_restrict1 (size_type i, size_type j, size_type size1, size_type)
static BOOST_UBLAS_INLINE size_type | mutable_restrict2 (size_type i, size_type j, size_type, size_type)
static BOOST_UBLAS_INLINE size_type | global_restrict1 (size_type index1, size_type size1, size_type, size_type)
static BOOST_UBLAS_INLINE size_type | global_restrict2 (size_type, size_type, size_type index2, size_type size2)
static BOOST_UBLAS_INLINE size_type | global_mutable_restrict1 (size_type index1, size_type size1, size_type, size_type)
static BOOST_UBLAS_INLINE size_type | global_mutable_restrict2 (size_type, size_type, size_type index2, size_type size2)

### template<class Z>
struct boost::numeric::ublas::basic_lower< Z >